<?php

${basename(__FILE__, '.php')} = function(){
    if($this->isAuthenticated() and isset($this->_request['id'])){
        try{
        $n = new Notes($this->_request['id']);
        $data = [
            'id'=>$n->getID(),
            'title' => $n->getTitle(),
            'body' => $n->getBody(),
            'created' => $n->created_at(),
            'updated' => $n->updated_at()
        ];
        $data = $this->json($data);
        $this->response($data, 200);

    }catch(Exception $e){
        $data = [
            'error'=> $e->getMessage()
        ];
        $data = $this->json($data);
        $this->response($data, 400);
    }
    } else {
        $data = [
            "error" => "Bad request"
        ];
        $data = $this->json($data);
        $this->response($data, 400);
    }
};
