<?php

class database
{
    public static $conn = null;

    static function getconnection()
    {
        
        $config_path = file_get_contents($_SERVER['DOCUMENT_ROOT'].'/../env.json');
        $get_config = json_decode($config_path,true);

        
    try{
        if(database::$conn==null)
        {
            $servername = $get_config["server"];
            $username = $get_config["username"];
            $password = $get_config["password"];
            $dbname = $get_config["database"];
        
        // Create connection
        $conn = new mysqli($servername, $username, $password, $dbname);
        // Check connection
        if ($conn->connect_error) {
          throw new Exception("Connection failed: " . $conn->connect_error);
        }else{
            database::$conn = $conn;
            // echo "establishing new connection\n";
            return database::$conn;
        }
    }else{
        // echo "establishing existing connection\n";
        return database::$conn;
    }
}
catch(Exception $e)
{
    echo "Exception Caugh : ".$e->getMessage();
}  
    }
}