<?php

${basename(__FILE__, '.php')} = function(){
    if($this->get_request_method() == "POST" and $this->isAuthenticated() and isset($this->_request['title']) or isset($this->_request['body'])){
        try{
        $n = new Notes($this->_request['id']);
        if(isset($this->_request['title']))
        {
        $n->setTitle($this->_request['title']);
        }
        if(isset($this->_request['body']))
        {
        $n->setBody($this->_request['body']);
        }
        $data = [
            'id' => $n->getId(),
            'title' => $n->getTitle(),
            'body' => $n->getBody(),
            'created' => $n->created_at(),
            'updated' => $n->updated_at(),
        ];
        $data = $this->json($data);
        $this->response($data, 200);

    }catch(Exception $e){
        $data = [
            'error'=> $e->getMessage()
        ];
        $data = $this->json($data);
        $this->response($data, 400);
    }
    } else {
        $data = [
            "error" => "Bad request"
        ];
        $data = $this->json($data);
        $this->response($data, 400);
    }
};
